petsc-3.7.7 2017-09-25
Report Typos and Errors

# PCSetReusePreconditioner

reuse the current preconditioner even if the operator in the preconditioner has changed.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCSetReusePreconditioner(PC pc,PetscBool flag)

Logically Collective on PC

### Input Parameters

| pc | - the preconditioner context
| flag | - PETSC_TRUE do not compute a new preconditioner, PETSC_FALSE do compute a new preconditioner

### See Also

PCGetOperators(), MatZeroEntries(), PCGetReusePreconditioner(), KSPSetReusePreconditioner()

Level:intermediate
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages